Subject: Re: LSM EVALUATION CASES
From: Ekta Jesswani <[email-masked]>
To: Rosette Modiri <[email-masked]>, Urvika Chaudhary <[email-masked]>
Cc: Amir Julkarnain <[email-masked]>, Rodina Magdy <[email-masked]>, Asad <[email-masked]>
Date: Tue, 28 Jul 2020 17:53:23 +0400

Hi Rosette and Urvika,

We evaluated all the tests received and below is our feedback -

1. Copy-Paste Answers - need more personalized answers from the agents with
a full understanding of the customer query or concern. Most answers were
copy-pasted answers from the website.
2. Creativity - for instance, Q1: Customer called to ask for a warranty of
Tommee Tippee Explora Electric Food Blender, what will you do and advise?

- All agents' responses were the same - ask the customer for a pic, send
details to the vendor, repair replacement, etc
- The question is very vague - the agent could presume the customer has
called or sent an email and wants information before she proceeds with her
purchase.
- In such a scenario, we don't tell customers about manufacturing defects,
repair or replacement, etc. We provide the necessary information and help
her make an informed decision

3. Real-time Updates: Some answers were not in keeping with the
current times and updates we provide on a daily basis (again, copy-paste
from the website). There was one with detailed information we gave during the
pandemic - *With the daily road restrictions and suppliers closing and huge
demand increase, we have been working around the clock to ensure your
orders are secured and released as fast as possible. We have increased our
warehouse operating team to 24x7 and will be releasing all our backlogs in
the next 3 days*. There are no more road restrictions and suppliers are all
open - our deliveries are back to normal of 2-3 working days.
4. Unnecessary information - When customers ask for urgent deliveries in
UAE, its fine to provide them information on Yalla items but no need to
elaborate on non-Yalla items. Clearly the customer needs an item with an
urgent delivery time.
5. Grammatical errors / Spelling: Some basic errors such as 'Costumer'
instead of 'Customer' needs attention and proof-reading before emails are
sent

Regards,
Ekta

On Sun, 26 Jul 2020 at 17:21, Rosette Modiri <[email-masked]> wrote:

> Hi Amir,
>
> PFA.
>
> Regards,
> Rosette
> ------------------------------
> *From: *"Rosette Modiri" <[email-masked]>
> *To: *"Amir Julkarnain" <[email-masked]>
> *Cc: *"Urvika Chaudhary" <[email-masked]>, "ekta" <[email-masked]>,
> "Rodina Magdy" <[email-masked]>
> *Sent: *Sunday, 26 July, 2020 18:43:21
> *Subject: *Re: LSM EVALUATION CASES
>
> Hi Amir,
>
> PFA of agents evaluation cases.
>
> Please do let me know if you have any questions or concerns.
>
> Best Regards,
> Rosette
> ------------------------------
> *From: *"Amir Julkarnain" <[email-masked]>
> *To: *"Rosette Modiri" <[email-masked]>, "Urvika Chaudhary" <
> [email-masked]>
> *Cc: *"ekta" <[email-masked]>, "Rodina Magdy" <[email-masked]>
> *Sent: *Sunday, 26 July, 2020 11:50:23
> *Subject: *Re: LSM EVALUATION CASES
>
> @[email-masked] <[email-masked]>
>
> On Sat, 25 Jul 2020 at 10:14, Amir Julkarnain <[email-masked]>
> wrote:
>
>> Hi Team,
>> Please see the attached evaluation cases and kindly share your reply on
>> 7/26/2020 before 12 PM Dubai timing.
>>
>> Best Regards
>> --
>> *Amir Hussain Julkarnain*
>> Junior Team Leader
>> p:  +971 (0)4 4339455   Ext 1322 │ e: [email-masked]
>> <[email-masked]> │ w: www.mumzworld.com
>> a:  Office B407-408, 4th Floor, Building 4,  D3, Dubai Design District,
>> PO Box 500245, Dubai, UAE
>>
>>
>
>
> --
> *Amir Hussain Julkarnain*
> Junior Team Leader
> p:  +971 (0)4 4339455   Ext 1322 │ e: [email-masked]
> <[email-masked]> │ w: www.mumzworld.com
> a:  Office B407-408, 4th Floor, Building 4,  D3, Dubai Design District,
> PO Box 500245, Dubai, UAE
>
>
>

-- 
*Regards, *